Subject: Re: Trying to push into empty repo, get fatal: bad revision 'HEAD'

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 Mar 2015 17:00:59 -0700

Samuel Williams <[email-masked]> writes:

> I would expect if you push to an empty repo, it would update it
> (because denyCurrentBranch = updateInstead).

Good finding.

I think the current implementation of updateInstead is set up to
bootstrap from an empty repository but only supports incremental
updates once the receiving repository and its working tree gets set
up.  But I do not think it was a conscious design decison to forbid
bootstrapping an empty repository, but was a mere gap in the
implementation.  At least, I do not think of a reason why we should
forbid it (and I am Cc'ing Dscho to confirm).

Fixing it should not be too hard, but I am on a bus right now so...